Skip to main content
PUT
/
earning_line_items
/
{earning_line_item}
Update an earning line item
curl --request PUT \
  --url https://sandbox.nmbr.co/services/payroll/earning_line_items/{earning_line_item} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "earning_type": "wage",
  "custom_amount": "3000",
  "custom_hours": "0",
  "accrued_vacation_pay": "0",
  "title": "Earning"
}
'
import requests

url = "https://sandbox.nmbr.co/services/payroll/earning_line_items/{earning_line_item}"

payload = {
"earning_type": "wage",
"custom_amount": "3000",
"custom_hours": "0",
"accrued_vacation_pay": "0",
"title": "Earning"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
earning_type: 'wage',
custom_amount: '3000',
custom_hours: '0',
accrued_vacation_pay: '0',
title: 'Earning'
})
};

fetch('https://sandbox.nmbr.co/services/payroll/earning_line_items/{earning_line_item}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "<id>",
  "object": "earning_line_item",
  "data": {
    "pay_stub": {
      "id": "<id>",
      "object": "pay_stub",
      "links": {
        "self": "/pay_stubs/<id>"
      }
    },
    "amount": 3000,
    "custom_amount": 3000,
    "managed_amount": 0,
    "is_managed": false,
    "line_item_type": "earning",
    "earning_type": {
      "id": "<id>",
      "object": "earning_type",
      "data": {
        "type": "wage",
        "label": "Wage",
        "supported_payroll_types": {
          "regular": true,
          "historical": true,
          "off_cycle": true
        }
      },
      "links": {
        "self": "/earning_types/wage"
      }
    },
    "hours": 0,
    "managed_hours": null,
    "custom_hours": 0,
    "accrued_vacation_pay": 0,
    "recurrence": null,
    "pay_rate": null,
    "overtime_rate": null,
    "title": "Earning",
    "title_translations": null,
    "title_translated": "Earning",
    "expense_accounting_code": null,
    "managed_expense_accounting_code": null,
    "custom_expense_accounting_code": null,
    "liability_accounting_code": null,
    "managed_liability_accounting_code": null,
    "custom_liability_accounting_code": null,
    "business_preset": null,
    "source_adjustment": null,
    "component_settings": {
      "attributes_locked": false
    },
    "earned_on": null,
    "managed_earned_on": null,
    "custom_earned_on": null,
    "external_ref": null,
    "created_at": "2026-01-01T00:00:00.000000Z",
    "updated_at": "2026-01-01T00:00:00.000000Z"
  },
  "links": {
    "self": "/earning_line_items/<id>"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

earning_line_item
string
required

Body

application/json
business_preset_id
string

Writing may be blocked when entity is managed by a parent resource

Editing is prevented when is_editable is false

earning_type
enum<string>

The type of earning for this line item.

Writing may be blocked when entity is managed by a parent resource

Editing is prevented when is_editable is false

Available options:
bonus_discretionary,
bonus_non_discretionary,
bonus_non_taxable,
commission,
commission_periodic,
commission_self_employed,
death_benefit,
gift_cash,
gratuity,
in_lieu_wages,
income_replacement_indemnity_non_taxable,
income_replacement_indemnity_taxable,
invoice_payment,
invoice_sales_tax,
leave_bereavement,
leave_citizenship,
leave_domestic_and_sexual_violence,
leave_general,
leave_jury_duty,
leave_maternity,
leave_organ_donor,
leave_parental,
leave_paternity,
leave_personal,
leave_sick,
leave_voting,
leave_wedding,
overtime,
parental_top_up_insurable,
parental_top_up_non_insurable,
pension,
retiring_allowance,
retiring_allowance_eligible,
retroactive_pay,
retroactive_pay_increase,
salary,
salary_continuance,
severance_pay,
statutory_holiday_pay,
supplemental_unemployment,
vacation_accrual_adjustment,
vacation_pay,
vacation_pay_employee_terminated,
vacation_pay_no_time_taken,
vacation_pay_time_taken,
wage
pay_rate_id
string

Writing may be blocked when entity is managed by a parent resource

Editing is prevented when is_editable is false

overtime_rate_id
string

Editing is prevented when is_editable is false

custom_amount
number<decimal>

An override for managed_amount. When set, amount reflects this value instead of managed_amount.

Editing is prevented when is_editable is false

Required range: x <= 999999
custom_hours
number<decimal>

An override for managed_hours. When set, hours reflects this value instead of managed_hours. Can be used to prorate the dollar amount on salary line items.

Editing is prevented when is_editable is false

Required range: x <= 9999
accrued_vacation_pay
number<decimal>

The vacation pay accrued on this line item, calculated based on the Work Assignment's Vacation Pay Settings.

Required range: -99999 <= x <= 99999
title
string | null

Writing may be blocked when entity is managed by a parent resource

Editing is prevented when is_editable is false

Maximum string length: 255
title_translations
object | null

Optional translations for the title property.

Writing may be blocked when entity is managed by a parent resource

Editing is prevented when is_editable is false

component_settings
object
expense_accounting_code_id
string

Editing is prevented when is_editable is false

custom_expense_accounting_code_id
string

Editing is prevented when is_editable is false

liability_accounting_code_id
string

Editing is prevented when is_editable is false

custom_liability_accounting_code_id
string

Editing is prevented when is_editable is false

custom_earned_on
string<date>

Editing is prevented when is_editable is false

external_ref
string
Maximum string length: 255
custom_tag_assignment
object

Response

200 - application/json

OK

id
string
read-only

The unique identifier of the object in Nmbr.

object
string
read-only

The type of the object in Nmbr ("earning_line_item").

data
Earning Line Item · object